libepubgen::EPUBHTMLGenerator Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libepubgen::EPUBHTMLGenerator Class Reference

`#include <EPUBHTMLGenerator.h>`

Inheritance diagram for libepubgen::EPUBHTMLGenerator:

## Public Member Functions
| EPUBHTMLGenerator (EPUBXMLContent &document, EPUBImageManager &imageManager, EPUBFontManager &fontManager, EPUBListStyleManager &listStyleManager, EPUBParagraphStyleManager &paragraphStyleManager, EPUBSpanStyleManager &spanStyleManager, EPUBSpanStyleManager &bodyStyleManager, EPUBTableStyleManager &tableStyleManager, const EPUBPath &path, const EPUBPath &stylesheetPath, EPUBStylesMethod stylesMethod, EPUBLayoutMethod layoutMethod, int version)
| ~EPUBHTMLGenerator () override
void | setDocumentMetaData (const librevenge::RVNGPropertyList &propList) override
void | startDocument (const librevenge::RVNGPropertyList &propList) override
void | endDocument () override
void | defineEmbeddedFont (const librevenge::RVNGPropertyList &propList) override
void | definePageStyle (const librevenge::RVNGPropertyList &) override
void | openPageSpan (const librevenge::RVNGPropertyList &propList) override
void | closePageSpan () override
void | openHeader (const librevenge::RVNGPropertyList &propList) override
void | closeHeader () override
void | openFooter (const librevenge::RVNGPropertyList &propList) override
void | closeFooter () override
void | defineSectionStyle (const librevenge::RVNGPropertyList &) override
void | openSection (const librevenge::RVNGPropertyList &propList) override
void | closeSection () override
void | defineParagraphStyle (const librevenge::RVNGPropertyList &) override
void | openParagraph (const librevenge::RVNGPropertyList &propList) override
void | closeParagraph () override
void | defineCharacterStyle (const librevenge::RVNGPropertyList &) override
void | openSpan (const librevenge::RVNGPropertyList &propList) override
void | closeSpan () override
void | openLink (const librevenge::RVNGPropertyList &propList) override
void | closeLink () override
void | insertTab () override
void | insertText (const librevenge::RVNGString &text) override
void | insertSpace () override
void | insertLineBreak () override
void | insertField (const librevenge::RVNGPropertyList &propList) override
void | openOrderedListLevel (const librevenge::RVNGPropertyList &propList) override
void | openUnorderedListLevel (const librevenge::RVNGPropertyList &propList) override
void | closeOrderedListLevel () override
void | closeUnorderedListLevel () override
void | openListElement (const librevenge::RVNGPropertyList &propList) override
void | closeListElement () override
void | openFootnote (const librevenge::RVNGPropertyList &propList) override
void | closeFootnote () override
void | openEndnote (const librevenge::RVNGPropertyList &propList) override
void | closeEndnote () override
void | openComment (const librevenge::RVNGPropertyList &propList) override
void | closeComment () override
void | openTextBox (const librevenge::RVNGPropertyList &propList) override
void | closeTextBox () override
void | openTable (const librevenge::RVNGPropertyList &propList) override
void | openTableRow (const librevenge::RVNGPropertyList &propList) override
void | closeTableRow () override
void | openTableCell (const librevenge::RVNGPropertyList &propList) override
void | closeTableCell () override
void | insertCoveredTableCell (const librevenge::RVNGPropertyList &propList) override
void | closeTable () override
void | openFrame (const librevenge::RVNGPropertyList &propList) override
void | closeFrame () override
void | openGroup (const librevenge::RVNGPropertyList &propList) override
void | closeGroup () override
void | defineGraphicStyle (const librevenge::RVNGPropertyList &propList) override
void | drawRectangle (const librevenge::RVNGPropertyList &propList) override
void | drawEllipse (const librevenge::RVNGPropertyList &propList) override
void | drawPolygon (const librevenge::RVNGPropertyList &propList) override
void | drawPolyline (const librevenge::RVNGPropertyList &propList) override
void | drawPath (const librevenge::RVNGPropertyList &propList) override
void | drawConnector (const librevenge::RVNGPropertyList &propList) override
void | insertBinaryObject (const librevenge::RVNGPropertyList &propList) override
void | insertEquation (const librevenge::RVNGPropertyList &propList) override
void | getPageProperties (librevenge::RVNGPropertyList &propList) const
| Gets the actual page properties into propList. More...
void | setPageProperties (const librevenge::RVNGPropertyList &propList)
| Sets the actual page properties from propList. More...

## Private Member Functions
EPUBXMLContent & | openPopup ()
void | closePopup (EPUBXMLContent &main)
| EPUBHTMLGenerator (const EPUBHTMLGenerator &)
EPUBHTMLGenerator & | operator= (const EPUBHTMLGenerator &)

## Private Attributes
std::unique_ptr< EPUBHTMLGeneratorImpl > | m_impl

## Constructor & Destructor Documentation

## ◆ EPUBHTMLGenerator() [1/2]

libepubgen::EPUBHTMLGenerator::EPUBHTMLGenerator | ( | EPUBXMLContent & | document,
|  | EPUBImageManager & | imageManager,
|  | EPUBFontManager & | fontManager,
|  | EPUBListStyleManager & | listStyleManager,
|  | EPUBParagraphStyleManager & | paragraphStyleManager,
|  | EPUBSpanStyleManager & | spanStyleManager,
|  | EPUBSpanStyleManager & | bodyStyleManager,
|  | EPUBTableStyleManager & | tableStyleManager,
|  | const EPUBPath & | path,
|  | const EPUBPath & | stylesheetPath,
|  | EPUBStylesMethod | stylesMethod,
|  | EPUBLayoutMethod | layoutMethod,
|  | int | version
| ) |  |

## ◆ ~EPUBHTMLGenerator()

libepubgen::EPUBHTMLGenerator::~EPUBHTMLGenerator | ( |  | ) |
| override

## ◆ EPUBHTMLGenerator() [2/2]

libepubgen::EPUBHTMLGenerator::EPUBHTMLGenerator | ( | const EPUBHTMLGenerator & |  | ) |
| private

## Member Function Documentation

## ◆ closeComment()

void libepubgen::EPUBHTMLGenerator::closeComment | ( |  | ) |
| override

## ◆ closeEndnote()

void libepubgen::EPUBHTMLGenerator::closeEndnote | ( |  | ) |
| override

## ◆ closeFooter()

void libepubgen::EPUBHTMLGenerator::closeFooter | ( |  | ) |
| override

## ◆ closeFootnote()

void libepubgen::EPUBHTMLGenerator::closeFootnote | ( |  | ) |
| override

Referenced by closePopup().

## ◆ closeFrame()

void libepubgen::EPUBHTMLGenerator::closeFrame | ( |  | ) |
| override

## ◆ closeGroup()

void libepubgen::EPUBHTMLGenerator::closeGroup | ( |  | ) |
| override

## ◆ closeHeader()

void libepubgen::EPUBHTMLGenerator::closeHeader | ( |  | ) |
| override

## ◆ closeLink()

void libepubgen::EPUBHTMLGenerator::closeLink | ( |  | ) |
| override

## ◆ closeListElement()

void libepubgen::EPUBHTMLGenerator::closeListElement | ( |  | ) |
| override

## ◆ closeOrderedListLevel()

void libepubgen::EPUBHTMLGenerator::closeOrderedListLevel | ( |  | ) |
| override

## ◆ closePageSpan()

void libepubgen::EPUBHTMLGenerator::closePageSpan | ( |  | ) |
| override

## ◆ closeParagraph()

void libepubgen::EPUBHTMLGenerator::closeParagraph | ( |  | ) |
| override

## ◆ closePopup()

void libepubgen::EPUBHTMLGenerator::closePopup | ( | EPUBXMLContent & | main | ) |
| private

Referenced by insertBinaryObject(), and insertText().

## ◆ closeSection()

void libepubgen::EPUBHTMLGenerator::closeSection | ( |  | ) |
| override

## ◆ closeSpan()

void libepubgen::EPUBHTMLGenerator::closeSpan | ( |  | ) |
| override

## ◆ closeTable()

void libepubgen::EPUBHTMLGenerator::closeTable | ( |  | ) |
| override

## ◆ closeTableCell()

void libepubgen::EPUBHTMLGenerator::closeTableCell | ( |  | ) |
| override

## ◆ closeTableRow()

void libepubgen::EPUBHTMLGenerator::closeTableRow | ( |  | ) |
| override

## ◆ closeTextBox()

void libepubgen::EPUBHTMLGenerator::closeTextBox | ( |  | ) |
| override

## ◆ closeUnorderedListLevel()

void libepubgen::EPUBHTMLGenerator::closeUnorderedListLevel | ( |  | ) |
| override

## ◆ defineCharacterStyle()

void libepubgen::EPUBHTMLGenerator::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & |  | ) |
| override

## ◆ defineEmbeddedFont()

void libepubgen::EPUBHTMLGenerator::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ defineGraphicStyle()

void libepubgen::EPUBHTMLGenerator::defineGraphicStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ definePageStyle()

void libepubgen::EPUBHTMLGenerator::definePageStyle | ( | const librevenge::RVNGPropertyList & |  | ) |
| override

## ◆ defineParagraphStyle()

void libepubgen::EPUBHTMLGenerator::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & |  | ) |
| override

## ◆ defineSectionStyle()

void libepubgen::EPUBHTMLGenerator::defineSectionStyle | ( | const librevenge::RVNGPropertyList & |  | ) |
| override

## ◆ drawConnector()

void libepubgen::EPUBHTMLGenerator::drawConnector | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawEllipse()

void libepubgen::EPUBHTMLGenerator::drawEllipse | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawPath()

void libepubgen::EPUBHTMLGenerator::drawPath | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawPolygon()

void libepubgen::EPUBHTMLGenerator::drawPolygon | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawPolyline()

void libepubgen::EPUBHTMLGenerator::drawPolyline | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawRectangle()

void libepubgen::EPUBHTMLGenerator::drawRectangle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ endDocument()

void libepubgen::EPUBHTMLGenerator::endDocument | ( |  | ) |
| override

## ◆ getPageProperties()

void libepubgen::EPUBHTMLGenerator::getPageProperties | ( | librevenge::RVNGPropertyList & | propList | ) | const

Gets the actual page properties into propList.

## ◆ insertBinaryObject()

void libepubgen::EPUBHTMLGenerator::insertBinaryObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertCoveredTableCell()

void libepubgen::EPUBHTMLGenerator::insertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertEquation()

void libepubgen::EPUBHTMLGenerator::insertEquation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertField()

void libepubgen::EPUBHTMLGenerator::insertField | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertLineBreak()

void libepubgen::EPUBHTMLGenerator::insertLineBreak | ( |  | ) |
| override

## ◆ insertSpace()

void libepubgen::EPUBHTMLGenerator::insertSpace | ( |  | ) |
| override

Referenced by closeParagraph().

## ◆ insertTab()

void libepubgen::EPUBHTMLGenerator::insertTab | ( |  | ) |
| override

## ◆ insertText()

void libepubgen::EPUBHTMLGenerator::insertText | ( | const librevenge::RVNGString & | text | ) |
| override

## ◆ openComment()

void libepubgen::EPUBHTMLGenerator::openComment | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openEndnote()

void libepubgen::EPUBHTMLGenerator::openEndnote | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openFooter()

void libepubgen::EPUBHTMLGenerator::openFooter | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openFootnote()

void libepubgen::EPUBHTMLGenerator::openFootnote | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

Referenced by openPopup().

## ◆ openFrame()

void libepubgen::EPUBHTMLGenerator::openFrame | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openGroup()

void libepubgen::EPUBHTMLGenerator::openGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openHeader()

void libepubgen::EPUBHTMLGenerator::openHeader | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openLink()

void libepubgen::EPUBHTMLGenerator::openLink | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openListElement()

void libepubgen::EPUBHTMLGenerator::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openOrderedListLevel()

void libepubgen::EPUBHTMLGenerator::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openPageSpan()

void libepubgen::EPUBHTMLGenerator::openPageSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openParagraph()

void libepubgen::EPUBHTMLGenerator::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openPopup()

EPUBXMLContent & libepubgen::EPUBHTMLGenerator::openPopup | ( |  | ) |
| private

Referenced by insertBinaryObject(), and insertText().

## ◆ openSection()

void libepubgen::EPUBHTMLGenerator::openSection | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openSpan()

void libepubgen::EPUBHTMLGenerator::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openTable()

void libepubgen::EPUBHTMLGenerator::openTable | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openTableCell()

void libepubgen::EPUBHTMLGenerator::openTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openTableRow()

void libepubgen::EPUBHTMLGenerator::openTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openTextBox()

void libepubgen::EPUBHTMLGenerator::openTextBox | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openUnorderedListLevel()

void libepubgen::EPUBHTMLGenerator::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ operator=()

EPUBHTMLGenerator & libepubgen::EPUBHTMLGenerator::operator= | ( | const EPUBHTMLGenerator & |  | ) |
| private

## ◆ setDocumentMetaData()

void libepubgen::EPUBHTMLGenerator::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ setPageProperties()

void libepubgen::EPUBHTMLGenerator::setPageProperties | ( | const librevenge::RVNGPropertyList & | propList | ) |

Sets the actual page properties from propList.

## ◆ startDocument()

void libepubgen::EPUBHTMLGenerator::startDocument | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## Member Data Documentation

## ◆ m_impl

std::unique_ptr<EPUBHTMLGeneratorImpl> libepubgen::EPUBHTMLGenerator::m_impl
| private

Referenced by closeComment(), closeEndnote(), closeFooter(), closeFootnote(), closeFrame(), closeHeader(), closeLink(), closeListElement(), closeOrderedListLevel(), closeParagraph(), closePopup(), closeSpan(), closeTable(), closeTableCell(), closeTableRow(), closeTextBox(), closeUnorderedListLevel(), defineCharacterStyle(), defineEmbeddedFont(), defineParagraphStyle(), endDocument(), getPageProperties(), insertBinaryObject(), insertField(), insertLineBreak(), insertSpace(), insertTab(), insertText(), openComment(), openEndnote(), openFooter(), openFootnote(), openFrame(), openHeader(), openLink(), openListElement(), openOrderedListLevel(), openPageSpan(), openParagraph(), openPopup(), openSpan(), openTable(), openTableCell(), openTableRow(), openTextBox(), openUnorderedListLevel(), setDocumentMetaData(), and setPageProperties().

The documentation for this class was generated from the following files:

- EPUBHTMLGenerator.h
- EPUBHTMLGenerator.cpp